<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-crear-evento-heading">Create or edit a Crear Evento</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_nombreEvento">Nombre Evento</label>
                    <input type="text" class="form-control" name="nombreEvento" id="field_nombreEvento"
                           formControlName="nombreEvento"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_informacion">Informacion</label>
                    <input type="text" class="form-control" name="informacion" id="field_informacion"
                           formControlName="informacion"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_lugar">Lugar</label>
                    <input type="text" class="form-control" name="lugar" id="field_lugar"
                           formControlName="lugar"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_fechaHora">Fecha Hora</label>
                    <div class="d-flex">
                        <input id="field_fechaHora" type="datetime-local" class="form-control" name="fechaHora" formControlName="fechaHora" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group" *ngIf="isCrearEvento === false">
                    <label class="form-control-label" for="field_usuarioId">Usuario Id</label>
                    <input type="number" class="form-control" name="usuarioId" id="field_usuarioId"
                           formControlName="usuarioId"/>
                </div>

                <!--<div class="form-group">
                    <label class="form-control-label" for="field_tipoEvento">Es evento privado</label>
                    <input type="checkbox" class="form-control" name="tipoEvento" id="field_tipoEvento"
                           formControlName="tipoEvento"/>
                </div>-->

                <div class="row mx-0">
                    <div class="col form-group">
                        <label class="form-control-label" for="field_tipoEvento">Evento privado</label>
                        <input type="radio" class="form-control" name="tipoEvento" id="field_tipoEvento_radio"
                        (change)="configurarTipoEvento(true)"/>
                    </div>
                    <div class="col form-group">
                        <label class="form-control-label" for="field_tipoEvento">Evento público</label>
                        <input type="radio" class="form-control" name="tipoEvento" id="field_tipoEvento_radio"
                            (change)="configurarTipoEvento(false)"/>
                    </div>
                </div>

                <div class="form-group" *ngIf="editForm.get(['tipoEvento'])?.value === true ">
                    <label class="form-control-label" for="field_cantiadBoletas">Cantidad Boletas</label>
                    <input type="number" class="form-control" name="cantiadBoletas" id="field_cantiadBoletas"
                           formControlName="cantiadBoletas"/>
                </div>


                <div class="form-group">
                    <label class="form-control-label" for="field_categoriaEvento">Categoria Evento</label>
                    <input type="text" class="form-control" name="categoriaEvento" id="field_categoriaEvento"
                           formControlName="categoriaEvento"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
